Page MenuHomePhabricator

Don't float article actions on tablets
Closed, ResolvedPublic3 Story Points

Description

Problem

Currently we float language, watchstar, and edit icons on tablets in Minerva. there is no need to float them, we can persist the article toolbar like we have on mobile.

Why

It will give us an anchor to title and the layout. it will also give us ability to add more actions in the future instead of floating. floating was appropriate when there wwas only one action

Mocks

Developer notes

This can be just done by stripping the extra responsive css

  • Actions are not floated on tablets
  • No change on small screens

Event Timeline

Nirzar created this task.Jul 25 2017, 4:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2017, 4:13 PM
Jdlrobson moved this task from To Triage to Triaged but Future on the Readers-Web-Backlog board.
ovasileva triaged this task as Normal priority.Aug 2 2017, 2:08 PM
Jdlrobson updated the task description. (Show Details)Aug 8 2017, 4:35 PM
Jdlrobson set the point value for this task to 3.Aug 8 2017, 4:43 PM
bmansurov moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

Change 371953 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/skins/MinervaNeue@master] Don't float article actions on tablets

https://gerrit.wikimedia.org/r/371953

Jdlrobson added a subscriber: Jdlrobson.

I've merged the patch.
There's one additional rule we might also be able to remove for tablets:

.heading-holder h1 {
    padding-right: 16px;
}

I'm not sure but I'm moved this to needs more work until we can dismiss/confirm.

Change 371953 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Don't float article actions on tablets

https://gerrit.wikimedia.org/r/371953

Change 372161 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/skins/MinervaNeue@master] Remove first heading padding

https://gerrit.wikimedia.org/r/372161

@Nirzar there's a padding to the right of heading in mobile, I'm removing it as part of this task. Is that OK?

Change 372161 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove first heading padding

https://gerrit.wikimedia.org/r/372161

bmansurov removed bmansurov as the assignee of this task.Aug 16 2017, 5:06 PM
bmansurov added a subscriber: bmansurov.
Nirzar closed this task as Resolved.Aug 18 2017, 8:51 PM
Nirzar claimed this task.

Macro votecat: looks  good